/**
 * Copyright (c) Microsoft Corporation. All rights reserved.
 * Licensed under the MIT License.
 */
import { Locator, WebDriver, Capabilities, WebElementPromise } from 'selenium-webdriver';
interface INativeWaitAndGet {
    getByNativeAccessibilityId(id: string, timeout?: number, message?: string): WebElementPromise;
    getByNativeName(name: string, timeout?: number, message?: string): WebElementPromise;
    getByNativeId(id: string, timeout?: number, message?: string): WebElementPromise;
    getByNativeclassName(className: string, timeout?: number, message?: string): WebElementPromise;
}
interface IWaitAndGet extends INativeWaitAndGet {
    getBy(locator: Locator, timeout?: number, message?: string): WebElementPromise;
}
export interface IWebDriver2 extends IWaitAndGet {
    attach(webDriver: WebDriver): void;
    detach(): void;
    start(): Promise<void>;
    stop(): Promise<void>;
    restart(): Promise<void>;
    isActive(): Promise<boolean>;
    seleniumDriver(): WebDriver;
    lastError(): any;
}
export declare function createWebDriver2(capabilities?: Capabilities | {}, url?: string): IWebDriver2;
export {};
